AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

class
class

### Hierarchy

- MemoryStorage

## Index

### Properties

- syncPromise

### Methods

- clear
- getItem
- removeItem
- setItem
- sync

## Properties

### Static syncPromise

syncPromise: any = null

- Defined in core/src/StorageHelper/reactnative.ts:20

## Methods

### Static clear

- clear(): object

- - Defined in core/src/StorageHelper/index.ts:53

  This is used to clear the storage

  #### Returns object

  nothing

### Static getItem

- getItem(key: any): any

- - Defined in core/src/StorageHelper/index.ts:36

  This is used to get a specific key from storage

  #### Parameters

  - ##### key: any

    the key for the item This is used to clear the storage

  #### Returns any

  the data item

### Static removeItem

- removeItem(key: any): boolean

- - Defined in core/src/StorageHelper/index.ts:45

  This is used to remove an item from storage

  #### Parameters

  - ##### key: any

    the key being set

  #### Returns boolean

  value - value that was deleted

### Static setItem

- setItem(key: any, value: any): any

- - Defined in core/src/StorageHelper/index.ts:25

  This is used to set a specific item in storage

  #### Parameters

  - ##### key: any

    the key for the item

  - ##### value: any

    the value

  #### Returns any

  value that was set

### Static sync

- sync(): any

- - Defined in core/src/StorageHelper/reactnative.ts:66

  Will sync the MemoryStorage data from AsyncStorage to storageWindow MemoryStorage

  #### Returns any